#
#   This file is part of SuRDebug, Copyright (C) 2009 Pecan Heber
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#   Copyright: (c) 2009 Pecan Heber
#
# ----------------------------------------------------------
# SuRDebugPlg.rb Sketchup Ruby Debugger
# ----------------------------------------------------------
require "sketchup.rb"

if (not file_loaded?("SuRDebugPlg.rb") )
    Sketchup.write_default("SuRDebug", "SketchUpDir", Sketchup.find_support_file(''));
    vSuRDebugMenu = UI.menu("plugins").add_submenu("SuRDebug")
    vSuRDebugMenu.add_item("Run Debugger") {
            sketchupDir = Sketchup.find_support_file("");
            sketchupDir.gsub!('/','\\');
            suVer = Sketchup.version.to_i.to_s
            cmd = "\"" + sketchupDir + "\\plugins\\SuRDebug\\SuRDebug.exe\" --suver=#{suVer}";
            ##cmd = "cmd /k c:\\Usr\\mingw345\\bin\\gdb.exe --args \"" + sketchupDir + "\\plugins\\SuRDebug\\SuRDebug.exe\" --suver=#{suVer}";
            puts cmd;
            systhr = Thread.new(){`#{cmd}`}
            ##systhr = Thread.new(){system(cmd)}
            while true: Thread.pass(); Process.kill("KILL", Process.pid); end;
        }
    vSuRDebugMenu.add_separator;
    vSuRDebugMenu.add_item("Restore Ruby Lib") {
            sketchupDir = Sketchup.find_support_file("");
            rubyDir = Sketchup.read_default("SuRDebug", "RubyInstallPath", "unknown.");
            cmd = "#{rubyDir}/bin/ruby \"#{sketchupDir}/Plugins/SuRDebug/scripts/libSetRst.rb\" restore \"#{sketchupDir}\" \"#{rubyDir}\" #{Process.pid}";
            cmd.gsub!('/','\\');
            puts cmd
            systhr = Thread.new(){`#{cmd}`}
            while true: Thread.pass(); Process.kill("KILL", Process.pid); end;
            }
end
file_loaded("SuRDebugPlg.rb")

