#
#   This file is part of SuRDebug, Copyright (C) 2009 Pecan Heber
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#   Copyright: (c) 2009 Pecan Heber
#
# load "C:/Usr/Proj/SuRDebug/scripts/MkConf.rb"

class CSetRubyInstallPath

    # -------------------
    # GetRubyInstallPath
    # -------------------
    def self.GetRubyInstallPath()
        rubyInstallPath = Sketchup.read_default("SuRDebug",
                "RubyInstallPath", "unknown.");
        printf("Ruby Install Path is %s\n", rubyInstallPath);
        if (not File.exists?(rubyInstallPath) )
            UI.messagebox( "Ruby Install folder unknown." +
                         "\nClick 'OK' to specify the install folder by" +
                         "\nchoosing any file in the Ruby base install folder.",
                         MB_OK,"Information");
            rubyInstallPath = UI.openpanel( "Ruby Install Folder", "", "");
            #change '\' to '/' in path name
            rubyInstallPath.gsub!(/[\\]/, '/');
            rubyInstallPath = File.dirname(rubyInstallPath);
            Sketchup.write_default("SuRDebug", "RubyInstallPath", rubyInstallPath);
            printf("Ruby Install Path now:[%s]\n", rubyInstallPath);
        end;
        return rubyInstallPath;
    end;#GetRubyInstallPath

    def InitRubyInstallPath
        Sketchup.write_default("SuRDebug", "RubyInstallPath", "unknown.");
        GetRubyInstallPath();
    end;

end;#CSetRubyInstallPath

    tmpDir = ENV["TEMP"];
    confFileName = tmpDir+"/SketchUpConf.txt";
    printf("Creating temp config file %s\n", confFileName);
    confFile = File.open(confFileName, "w");

    # write some config items to the file
    printf("RUBY_VERSION=%s\n", RUBY_VERSION);
    confFile.printf("RUBY_VERSION=%s\n", RUBY_VERSION);
    Sketchup.write_default("SuRDebug", "RUBY_VERSION", RUBY_VERSION);

    printf("SketchUpDir=%s\n", Sketchup.find_support_file(''));
    confFile.printf("SketchUpDir=%s\n", Sketchup.find_support_file(''));
    Sketchup.write_default("SuRDebug", "SketchUpDir", Sketchup.find_support_file(''));

    rubyInstallPath = Sketchup.read_default("SuRDebug", "RubyInstallPath", "unknown.");
    #printf( "RubyInstallPath is %s\n", rubyInstallPath);
    if (rubyInstallPath.eql?("unknown.") )
        rubyInstallPath = CSetRubyInstallPath.GetRubyInstallPath();
    end;
    printf("RubyDir=%s\n", rubyInstallPath);
    confFile.printf("RubyDir=%s\n", rubyInstallPath);

    confFile.close();
