#-----------------------------------------------------------------------------
# Copyright 2009, Pecan.

# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# File: SetRubyInstallPath.rb

module MSetRubyInstallPath
#
#   This file is part of SuRDebug, Copyright (C) 2009 Pecan Heber
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#   Copyright: (c) 2009 Pecan Heber
#
    # -------------------
    # GetRubyInstallPath
    # -------------------
    def self.GetRubyInstallPath()
        rubyInstallPath = Sketchup.read_default("SuRDebug",
                "RubyInstallPath", "unknown.");
        printf("Ruby Install Path is %s\n", rubyInstallPath);
        if (not File.exists?(rubyInstallPath) )
            UI.messagebox( "Ruby Install folder unknown." +
                         "\nClick 'OK' to specify the install folder by" +
                         "\nchoosing any file in the Ruby base install folder.",
                         MB_OK,"Information");
            rubyInstallPath = UI.openpanel( "Ruby Install Folder", "", "");
            #change '\' to '/' in path name
            rubyInstallPath.gsub!(/[\\]/, '/');
            rubyInstallPath = File.dirname(rubyInstallPath);
            Sketchup.write_default("SuRDebug", "RubyInstallPath", rubyInstallPath);
            printf("Ruby Install Path now:[%s]\n", rubyInstallPath);
        end;
        return rubyInstallPath;
    end;#GetRubyInstallPath

    Sketchup.write_default("SuRDebug", "RubyInstallPath", "unknown.");
    GetRubyInstallPath();

end;#MSetRubyInstallPath
